Category: Enhancement

Target version: Multiplayer

Description

Due to consistent weapon/ammo shortages it would be nice if the server could set which weapons/ammo players SPAWN with.

Currently this can be achieved through the server giving weapons/ammo to players by using the cheat mode but every time a player
dies their character resets and they go back to zero. Since the game already has modifiers which make the game harder by giving
monsters a health/damage advantage, it would be nice to have the following options to assist the players:

Player spawns with chainsaw: yes/no

Player spawns with pistol: yes/no (Is it even possible not to have the pistol?)
Player spawns with shotgun: yes/no

Player spawns with minigun: yes/no

Player spawns with rocket launcher: yes/no

Player spawns with plasma rifle: yes/no

Player spawns with BFG: yes/no

Player spawns with X bullets: 0-#
Player spawns with X shells: 0-#
Player spawns with X rockets: 0-#
Player spawns with X cells: 0-#

Player spawns with random weapons: no/0-all weapons
Player spawns with random ammo: yes/no

Player spawns with ammo backpack: yes/no
Player spawns with automap: yes/no

Other items like night vision/radiation suits have time limits so there isn't much point to having players spawn with them...unless you
also change the length of their effectiveness.

Thank you,
Jonathan

Labels: Multiplayer

Related issues:

Related to Feature #1604: Game rules (1p and MP) New
Related to Feature #1441: [MP] Option: weaponstay deathmatch New 2007-03-01
History

#1 - 2007-11-22 08:42 - danij

Sounds like a good idea to me. Won't happen until after the unified client/server restructuring for single and multiplayer though.

#2 - 2013-10-18 15:42 - skyjake

- Tags set to Multiplayer

- Subject changed from Ability to choose items/weapons/ammo on multiplayer spawn to [MP] Option to choose items/weapons/ammo on spawn
- Category set to Enhancement

- Assignee deleted (danij)

#3 - 2019-11-29 18:30 - skyjake

- Target version set to Multiplayer
